print "################################################################"
print "-------  Splitting and rebuilding a MEF -------"

# USAGE: 
# i) list the filenames (one per line) to be processed in a list called 'input.txt'
# ii) run the script from iraf:  
# iraf>  cl < ggrebuild.cl 

 
string *list1
string *list2
crutil
fitsutil
delete extlist.txt,extlist_mask.txt,extlist_res.txt
delete cleaned*
delete  output.txt

list1 = 'input.txt'
while (fscan (list1, s1) != EOF){

	delete phu.fits
	imcopy (s1//"[0]", "n"//s1//"[0]", verbose=yes)

delete ext_sci.txt
gemextn (s1, extname="SCI", extversion="1-", outfile="ext_sci.txt", logfile="gemextn.log")
i=1
j=1
list2 = 'ext_sci.txt' 
while (fscan (list2, s2) != EOF){
	if (i==34) {
		 imcopy(s1//"[SCI,"//(i-1)//"]", "n"//s1//"[SCI,"//i//"]"
	} else {
	print(i)
	imcopy(s1//"[SCI,"//i//"]", "n"//s1//"[SCI,"//i//"]")
	}	
	i=i+1
        j=i
	print(j)
    }

	print "-------Rebuilding the MEF file------"

####====Inserting the MDF====####
imgets(s1//"[0]",'GEMCOMB')
print (imgets.value)
if (imgets.value == '0') {
	print("not gemcombined")
	fxinsert (s1//"["//1//"]", "n"//s1//"["//i-1//"]","0", verbose=no)
} else { 
	print("gemcombined")
	fxinsert (s1//"["//i//"]", "n"//s1//"["//i-1//"]","0", verbose=no)
}
####=========================####



	delete extlist.txt,extlist_mask.txt,extlist_res.txt
	
}


#! awk '{print("n"$1)}' input.txt >> output.txt




print "################################################################"
print "                    ---------Done---------         "

